May 2017 Preview of the Quality Rollups for the .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, and 4.6.2 for Windows 7 and Windows Server 2008 R2 (KB4019288): May 16, 2017

Applies to: .NET Framework 4.6.2.NET Framework 4.6.1.NET Framework 4.6

Summary


This article lists the Quality Rollup for the .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, and 4.6.2 updates for Windows 7 and Windows Server 2008 R2.

Important

  • If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see Add language packs to Windows.

Known issues in this update


  • User who upgrade to the .NET Framework 4.7 after they apply this update on a touch-enabled device may observe COMException errors in their Windows Presentation Framework (WPF) applications. For more information, go to the following Microsoft Knowledge Base article:

 4033488 "COMException" error from WPF applications after the .NET Framework 4.7 is installed on Windows 7 or Windows Server 2008

Additional information about this update


The following articles contain additional information about this update as it relates to individual product versions. The articles may contain known-issue information.
 
  • 4014596 May 2017 Description of the Quality Rollup for the .NET Framework 3.5.1 for Windows 7 SP1 and Windows Server 2008 R2 SP1: May 16, 2017
  • 4014613 May 2017 Description of the Quality Rollup for the .NET Framework 4.5.2 for Windows 7 SP1, Windows Server 2008 R2 SP1, and Windows Server 2008 SP2 (KB4014613): May 16, 2017
  • 4014606 May 2017 Description of the Quality Rollup for the .NET Framework 4.6, 4.6.1, and 4.6.2 for Windows 7 SP1 and Windows Server 2008 R2 SP1, and the .NET Framework 4.6 for Windows Server 2008 SP2 (KB4014606): May 16, 2017

How to obtain help and support for this update


Applies to


This article applies to the following:
 
  • Microsoft .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, and 4.6.2 when used with:
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1